version: '2'
services:
  web:
    build: .
    image: certviewer:latest
    env_file:
      - ./.env
    environment:
      - MONGODB_URI=mongodb://mongodb:27017/test
    command: python /cert-viewer/run.py
    ports:
      - 5000:5000
    depends_on:
      - mongodb
    working_dir: /cert-viewer
    volumes:
      - .:/cert-viewer:cached

  mongodb:
    image: mvertes/alpine-mongo:latest
    volumes:
      - mongo-data:/data/db
    restart: always

volumes:
  mongo-data:
    external: false
